Page MenuHomeVyOS Platform

'show ipv6 bgp route-map' missing
Closed, ResolvedPublicFEATURE REQUEST

Description

It would be greate to be able to debug ipv6 route-maps similar to the IPv4 ones.

admin@rt-2:~$ show ipv6 bgp route-map ebgp-v6-import-as6939

  Invalid command: show ipv6 bgp route-map [ebgp-v6-import-as6939]

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

MrXermon created this task.Dec 18 2018, 9:47 AM
syncer assigned this task to dmbaturin.Dec 21 2018, 10:26 AM
syncer triaged this task as Normal priority.
syncer edited projects, added VyOS 1.2 Crux ( VyOS 1.2.0-EPA); removed VyOS 1.2 Crux.
pasik added a subscriber: pasik.Dec 22 2018, 10:05 AM

It's possible to get the information through the FRR-cli (vtysh) as long as the function is not part of the vyos-cli with the following command:

show bgp ipv6 route-map ebgp-v6-import-as6939

PR https://github.com/vyos/vyos-1x/pull/519

vyos@r1-roll:~$ show ipv6 bgp route-map 
Possible completions:
  IPV6-IN       Show BGP routes matching the specified route map
vyos@r1-roll:~$ show ipv6 bgp route-map IPV6-IN 
BGP table version is 1, local router ID is 192.168.122.11, vrf id 0
Default local pref 100, local AS 65001
Status codes:  s suppressed, d damped, h history, * valid, > best, = multipath,
               i internal, r RIB-failure, S Stale, R Removed
Nexthop codes: @NNN nexthop's vrf id, < announce-nh-self
Origin codes:  i - IGP, e - EGP, ? - incomplete

   Network          Next Hop            Metric LocPrf Weight Path
*>i2001:dba::/32    fe80::5054:ff:fe48:bbcd
                                             0    100      0 i

Displayed  1 routes and 1 total paths
Viacheslav closed this task as Resolved.Jul 28 2020, 5:23 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 3 2020, 3:31 PM